#!/usr/bin/perl -w

@out = ();

push @out, "# Test maximum rate of slide.";
push @out, "# The later slides don't quite reach their ";
push @out, "# destination because they hit the limit.";
push @out, "# This is more audible if played back at 8000Hz.";

$time = 0;
for (0..10) {
    $delay = 200 - $_*15;
    push @out, "0 $time F1/100"; $time += $delay - 1;
    push @out, "0 $time ~F2/100"; $time++;
    push @out, "0 $time F2/100"; $time += 300 - $delay;
}
push @out, "0 $time ~-";

open OUT, ">z9U.sbg";
print OUT join("\n", map { my $xx = $_; $xx =~ s/F1/800/; $xx =~ s/F2/3200/; $xx; } @out, '');
close OUT;

open OUT, ">z9D.sbg";
print OUT join("\n", map { my $xx = $_; $xx =~ s/F1/3200/; $xx =~ s/F2/800/; $xx; } @out, '');
close OUT;
